<div class="col-lg-12 animated fadeInRight list-devices">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>
                  <strong>Wallets</strong>
                </h3>
              </div>
            </div>
            <div class="fm-row">
              <div class="row">
                <div class="col-sm-4">
                  <select [(ngModel)]="type_value" name="type" placeholder="Wallet type" class="form-control">
                    <option value="S">System Wallets</option>
                    <option value="D">Driver Wallets</option>
                    <option value="C">Customer Wallets</option>
                    <option value="P">Partner Wallets</option>
                    <option value="PG">Payment Gateway Wallets</option>
                    <option value="CP">Company Wallets</option>
                  </select>
                </div>
                <div class="col-sm-8 text-right">
                  <button type="get" (click)="getWalletListing();" class="btn btn-sm btn-primary blue">
                    <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                  <button class="btn btn-sm btn-primary green">
                    <i aria-hidden="true" class="fa fa-refresh"></i> Refresh</button>
                  <button class="btn btn-sm btn-primary red">
                    <i aria-hidden="true" class="fa fa-eraser"></i> Reset filters</button>
                  <button type="submit" class="btn btn-primary btn-sm blue"
                    [routerLink]="['/admin/wallet/wallets/wallet-add']">Add new record</button>
                </div>
              </div>
            </div>
            <div class="ibox-content">
              <div class="table-responsive">
                <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive">
                  <thead>
                    <tr>
                      <th scope="col">Wallet details
                      </th>
                      <th scope="col">Wallet User Type
                      </th>
                      <th scope="col">Wallet Category
                      </th>
                      <th scope="col">Balance(as of last transaction)</th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchSubmit">
                      <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                    </span>
                    <tr *ngFor="let wallets of walletData">
                      <td *ngIf='wallets.driver_id!==null'>
                        <p>EMP_ID : <strong>{{wallets.driver_id.username}}</strong></p><br>
                        <p>PHNO : <strong>{{wallets.driver_id.formatted_phone_number}}</strong></p><br>
                        <p>NAME : <strong>{{wallets.driver_id.name}}</strong></p>
                      </td>
                      <td *ngIf='wallets.user_id!==null'>
                        <p>CREATED_BY : <strong> {{wallets.user_id.email}}</strong></p><br>
                      </td>
                      <td *ngIf='wallets.company_id!==null'>
                        <p>COMPANY NAME : <strong>{{wallets.company_id.company_name}}</strong></p>
                      </td>
                      <td *ngIf='wallets.partner_id!==null'>
                        <p>PARTNER NAME : <strong>{{wallets.partner_id.name}}</strong></p>
                      </td>
                      <td *ngIf='wallets.user_type=="S"'>System Wallet</td>
                      <td *ngIf='wallets.user_type=="D"'>Driver Wallet</td>
                      <td *ngIf='wallets.user_type=="CP"'>Company Wallet</td>
                      <td *ngIf='wallets.user_type=="C"'>Customer Wallet</td>
                      <td *ngIf='wallets.user_type=="P"'>Partner Wallet</td>
                      <td>{{wallets.wallet_type }}</td>
                      <td><button *ngIf='!wallets.balance' class="btn btn-primary reset-blue"
                          (click)="getBalance(wallets)">Check Balance</button>
                        <p *ngIf='wallets.balance || wallets.balance==0'>
                          <strong>{{wallets.balance}}
                          </strong>
                        </p>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <div style="text-align:center; margin-left:125px;" *ngIf="walletDataLength==0">
                No records found.
              </div>
              <br>
              <div class="container-fluid" *ngIf="walletDataLength > 0">
                <div class="row col-md-12 text-center">
                  <div class="dataTables_info1">
                    <ngb-pagination [collectionSize]="walletDataLength" (pageChange)="pagingAgent($event)" [page]="1"
                      [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                    </ngb-pagination>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>